#
# spec file for package unixcw
#

%define soname 6

Name:           unixcw
Version:        3.5.0
Release:        lp156.1.1
License:        GPL-2.0
Summary:        Libraries and programs for CW
Url:            http://unixcw.sourceforge.net/
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.gz
Source2:        xcwcp.png
Patch0:         ncurses.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  alsa-devel
BuildRequires:  ncurses-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libpulse-devel
BuildRequires:  update-desktop-files

%description
Unixcw is a project providing libcw library and a set of programs using the
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who
want to learn receiving and sending Morse code. unixcw is developed and tested
on GNU/Linux system. 

%package -n libcw%{soname}
Summary:        Libraries for CW programs
Group:          Development/Libraries/Other

%description -n libcw%{soname}
Unixcw is a project providing libcw library and a set of programs using the
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who
want to learn receiving and sending Morse code. unixcw is developed and tested
on GNU/Linux system.

%package devel
Summary:        Libraries and programs for CW development
Group:          Development/Libraries/Other
Requires:       unixcw = %{version}

%description devel
UnixCW devel
Unixcw is a project providing libcw library and a set of programs using the 
library: cw, cwgen, cwcp and xcwcp. The programs are intended for people who 
want to learn receiving and sending Morse code. unixcw is developed and tested 
on GNU/Linux system.

%prep
%setup -q
%patch0 -p 1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%suse_update_desktop_file -c xcwcp Xcwcp "Morse tutor" xcwcp xcwcp "Network;HamRadio"

%post -n libcw%{soname} -p /sbin/ldconfig
%postun -n libcw%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/pixmaps/xcwcp.png
%{_datadir}/applications/xcwcp.desktop
%doc %{_mandir}/man1/*
%doc %{_mandir}/man7/*

%files -n libcw%{soname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libcw*.so.*
%doc %{_mandir}/man3/libcw.3.gz

%files devel
%defattr(-,root,root)
%{_libdir}/libcw*.so
%{_libdir}/libcw*.a
%{_libdir}/libcw*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Mon Nov 16 2015 dl8fcl@t-online.de
- update to version 3.5.0 - not yet ready
  pulseaudio for xcwp not working
* Mon Aug 18 2014 dl8fcl@darc.de
- update to version 3.3.1
  fixing a problem with cwdaemon
* Mon Jan  6 2014 dl8fcl@darc.de
- update to version 3.3.0
* Mon Sep 23 2013 dl8fcl@darc.de
- update to version 3.2.0
* Sat Oct  4 2008 dl9pf@gmx.de
- fix build for factory
* Thu May 24 2007 dl9pf@gmx.de
- Import into buildservice
